/*******************************************************************************
* File Name: Pin_loser.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_loser_H) /* Pins Pin_loser_H */
#define CY_PINS_Pin_loser_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_loser_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_loser_Write(uint8 value) ;
void    Pin_loser_SetDriveMode(uint8 mode) ;
uint8   Pin_loser_ReadDataReg(void) ;
uint8   Pin_loser_Read(void) ;
uint8   Pin_loser_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_loser_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_loser_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_loser_DM_RES_UP          PIN_DM_RES_UP
#define Pin_loser_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_loser_DM_OD_LO           PIN_DM_OD_LO
#define Pin_loser_DM_OD_HI           PIN_DM_OD_HI
#define Pin_loser_DM_STRONG          PIN_DM_STRONG
#define Pin_loser_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_loser_MASK               Pin_loser__MASK
#define Pin_loser_SHIFT              Pin_loser__SHIFT
#define Pin_loser_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_loser_PS                     (* (reg8 *) Pin_loser__PS)
/* Data Register */
#define Pin_loser_DR                     (* (reg8 *) Pin_loser__DR)
/* Port Number */
#define Pin_loser_PRT_NUM                (* (reg8 *) Pin_loser__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_loser_AG                     (* (reg8 *) Pin_loser__AG)                       
/* Analog MUX bux enable */
#define Pin_loser_AMUX                   (* (reg8 *) Pin_loser__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_loser_BIE                    (* (reg8 *) Pin_loser__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_loser_BIT_MASK               (* (reg8 *) Pin_loser__BIT_MASK)
/* Bypass Enable */
#define Pin_loser_BYP                    (* (reg8 *) Pin_loser__BYP)
/* Port wide control signals */                                                   
#define Pin_loser_CTL                    (* (reg8 *) Pin_loser__CTL)
/* Drive Modes */
#define Pin_loser_DM0                    (* (reg8 *) Pin_loser__DM0) 
#define Pin_loser_DM1                    (* (reg8 *) Pin_loser__DM1)
#define Pin_loser_DM2                    (* (reg8 *) Pin_loser__DM2) 
/* Input Buffer Disable Override */
#define Pin_loser_INP_DIS                (* (reg8 *) Pin_loser__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_loser_LCD_COM_SEG            (* (reg8 *) Pin_loser__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_loser_LCD_EN                 (* (reg8 *) Pin_loser__LCD_EN)
/* Slew Rate Control */
#define Pin_loser_SLW                    (* (reg8 *) Pin_loser__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_loser_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_loser__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_loser_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_loser__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_loser_PRTDSI__OE_SEL0        (* (reg8 *) Pin_loser__PRTDSI__OE_SEL0) 
#define Pin_loser_PRTDSI__OE_SEL1        (* (reg8 *) Pin_loser__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_loser_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_loser__PRTDSI__OUT_SEL0) 
#define Pin_loser_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_loser__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_loser_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_loser__PRTDSI__SYNC_OUT) 


#if defined(Pin_loser__INTSTAT)  /* Interrupt Registers */

    #define Pin_loser_INTSTAT                (* (reg8 *) Pin_loser__INTSTAT)
    #define Pin_loser_SNAP                   (* (reg8 *) Pin_loser__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_loser_H */


/* [] END OF FILE */
